Arch::RunLimit(3pm)

NAME
Arch::RunLimit - class to enforce a limit on the number of running processes

SYNOPSIS
    use Arch::RunLimit

    my $limit = Arch::RunLimit->new(file => $limit_file);

    die "run-limit exceeded" if $limit->exceeded;

DESCRIPTION
Arch::RunLimit provides an easy way to enforce a limit on the number of concurrently running processes.

METHODS
The following methods are available:

new, exceeded.

new %opts
    Create a new Arch::RunLimit object with the specified options:

    file (mandatory)
        The file used to keep track of the number of processes.

    limit
        The maximum number of concurrently running processes. Defaults to 5.

    timeout
        The timeout after which a process is assumed to be terminated in seconds. Defaults to 1800 (30 minutes).

exceeded
    Return 1 if the number of concurrently running processes has been exceeded, 0 otherwise.

BUGS
Awaiting your reports.

AUTHORS
Mikhael Goikhman (migo@homemail.com--Perl-GPL/arch-perl--devel).

Enno Cramer (uebergeek@web.de--2003/arch-perl--devel).